''Author: Gavin Garner modified by Larry McGrew
{V2 call control wheel method at 0 and 90
V3 only job is to rotate servo }  

VAR
  long position, Stack[20]   'watch stack size
                   
  word cog      

PUB Start : success
                               
    success := cog := cognew(MoveMotor(26),@Stack)

PUB Stop

    If cog 
      cogstop(cog~ - 1) 

PUB main(p)     
  
      position:= p                                                             
 
PUB MoveMotor(Pin)   'This method outputs a continuous stream of servo signal pulses on "Pin"
  
  dira[Pin]~~        
  repeat                                  
    outa[Pin]~~                            
    waitcnt((clkfreq/100_000)*position+cnt)'Wait for the specifed position (units = 10 microseconds)
    outa[Pin]~                            
    waitcnt(clkfreq/100+cnt)               'Wait 10ms between pulses        
 